// initPopup.js
import Vuex from 'vuex'
export default function initPopup(v) {
  // 挂在store到全局Vue原型上
  v.prototype.$popupStore = new Vuex.Store({
    state: {
		show:false,
		url:"",
		title:""
    },
    mutations: {
		closePopup(state,data) {
			state.show = false
		},
		showPopup(state,data) {
			state.url = ''
			state.title = ''
			console.log(data,'data')
			const timer = setTimeout(() => {
				state.url = data.url
				state.title = data.title
				state.show = true
				clearTimeout(timer)
			}, 1);
		},
    }
  })
  v.prototype.showPopup = function (option) { 
	if (typeof option === 'object') {
		if(option.hideTabBar){
			wx.hideTabBar();
		}
		v.prototype.$popupStore.commit('showPopup', option)
	}
  }
  v.prototype.closePopup = function (option) { 
	v.prototype.$popupStore.commit('closePopup')
  }
}
